Bug 260108 - textproc/htmldoc: update to 1.9.13
Summary: textproc/htmldoc: update to 1.9.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL: https://www.msweet.org/blog/2021-11-0...
Keywords: easy
Depends on:
Blocks:
 
Reported: 2021-11-29 09:50 UTC by Robert Clausecker
Modified: 2021-12-21 06:54 UTC (History)
2 users (show)

See Also:
fuz: maintainer-feedback-


Attachments
textproc/htmldoc: update to 1.9.13 (1.60 KB, patch)
2021-11-29 09:50 UTC, Robert Clausecker
fuz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-11-29 09:50:40 UTC
Created attachment 229782 [details]
textproc/htmldoc: update to 1.9.13

Changes:
    
     - Now install a 32x32 icon for Linux
     - Fixed an issue with large values for roman numerals and letters in headings
     - Fixed a crash bug when a HTML comment contains an invalid nul character
     - Fixed a crash bug with bogus BMP images
     - Fixed a potential heap overflow bug with bogus GIF images
     - Fixed a potential stack overflow bug with bogus BMP images

Tested with Poudriere on armv7 arm64 i386 amd64 FreeBSD 13.
Comment 1 Robert Clausecker 2021-11-29 10:13:26 UTC
Comment on attachment 229782 [details]
textproc/htmldoc: update to 1.9.13

Sorry, forgot I am not maintainer of this one.
Comment 2 Robert Clausecker 2021-12-20 00:35:02 UTC
Comment on attachment 229782 [details]
textproc/htmldoc: update to 1.9.13

maintainer timeout
Comment 3 Robert Clausecker 2021-12-20 00:35:13 UTC
maintainer timeout
Comment 4 Hiroki Tagato freebsd_committer 2021-12-21 06:54:40 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2021-12-21 06:54:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b9127e8ee770c5f8e28bfcd31d442411b450d163

commit b9127e8ee770c5f8e28bfcd31d442411b450d163
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-12-21 06:52:04 +0000
Commit:     Hiroki Tagato <tagattie@FreeBSD.org>
CommitDate: 2021-12-21 06:53:59 +0000

    textproc/htmldoc: update to 1.9.13

    Changelog:
    - Now install a 32x32 icon for Linux
    - Fixed an issue with large values for roman numerals and letters in headings
    - Fixed a crash bug when a HTML comment contains an invalid nul character
    - Fixed a crash bug with bogus BMP images
    - Fixed a potential heap overflow bug with bogus GIF images
    - Fixed a potential stack overflow bug with bogus BMP images
    (https://www.msweet.org/blog/2021-11-05-htmldoc-1.9.13.html)

    PR:             260108
    Approved by:    jose@diasfernandes.pt (maintainer timeout, >3 weeks)

 textproc/htmldoc/Makefile | 2 +-
 textproc/htmldoc/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)